/******************************************************************************
 * Copyright (c) 2011 Oracle
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Konstantin Komissarchik - initial implementation and ongoing maintenance
 ******************************************************************************/

package org.jboss.tools.sapphire.ui;

import org.eclipse.sapphire.ui.swt.xml.editor.SapphireEditorForXml;
import org.jboss.tools.sapphire.ISwitchyard;

/**
 * @author <a href="mailto:konstantin.komissarchik@oracle.com">Konstantin Komissarchik</a>
 */

public final class SwitchyardEditor 

    extends SapphireEditorForXml
    
{
    public SwitchyardEditor()
    {
        super( "org.jboss.tools.sapphire" );
        
        setRootModelElementType( ISwitchyard.TYPE );
        setEditorDefinitionPath( "org.jboss.tools.sapphire/sdefs/switchyard.sdef/main" );
    }
    
}
